Loading...
Searching...
No Matches
Gfx::CModel Class Reference

3D model saved in model file More...

`#include <src/graphics/model/model.h>`

## Public Member Functions

int | GetMeshCount () const
| Returns mesh count.
CModelMesh * | GetMesh (const std::string &name)
| Return a mesh with given name.
const CModelMesh * | GetMesh (const std::string &name) const
| Return a mesh with given name.
void | AddMesh (const std::string &name, CModelMesh &&mesh)
| Add new mesh with given name.
std::vector< std::string > | GetMeshNames () const
| Returns list of mesh names.
const std::vector< ModelCrashSphere > & | GetCrashSpheres () const
| Returns the model's crash spheres.
void | AddCrashSphere (const ModelCrashSphere &crashSphere)
| Adds a new crash sphere.
int | GetCrashSphereCount () const
| Returns number of crash spheres.
const ModelShadowSpot & | GetShadowSpot () const
| Returns the shadow spot associated with model (assumes it is present).
void | SetShadowSpot (const ModelShadowSpot &shadowSpot)
| Sets the shadow spot associated with model.
bool | HasShadowSpot () const
| Returns whether there is shadow spot.
const Math::Sphere & | GetCameraCollisionSphere () const
| Returns the optional shadow spot associated with model (assumes it is present).
void | SetCameraCollisionSphere (const Math::Sphere &sphere)
| Sets the shadow spot associated with model.
bool | HasCameraCollisionSphere () const
| Returns whether there is camera collision sphere.

## Detailed Description

3D model saved in model file

## Member Function Documentation

## GetMeshCount()

int Gfx::CModel::GetMeshCount | ( |  | ) | const

Returns mesh count.

## GetMesh() [1/2]

CModelMesh * Gfx::CModel::GetMesh | ( | const std::string & | name | ) |

Return a mesh with given name.

## GetMesh() [2/2]

const CModelMesh * Gfx::CModel::GetMesh | ( | const std::string & | name | ) | const

Return a mesh with given name.

## AddMesh()

void Gfx::CModel::AddMesh | ( | const std::string & | name,
|  | CModelMesh && | mesh )

Add new mesh with given name.

## GetMeshNames()

std::vector< std::string > Gfx::CModel::GetMeshNames | ( |  | ) | const

Returns list of mesh names.

## GetCrashSpheres()

const std::vector< ModelCrashSphere > & Gfx::CModel::GetCrashSpheres | ( |  | ) | const

Returns the model's crash spheres.

## AddCrashSphere()

void Gfx::CModel::AddCrashSphere | ( | const ModelCrashSphere & | crashSphere | ) |

Adds a new crash sphere.

## GetCrashSphereCount()

int Gfx::CModel::GetCrashSphereCount | ( |  | ) | const

Returns number of crash spheres.

## GetShadowSpot()

const ModelShadowSpot & Gfx::CModel::GetShadowSpot | ( |  | ) | const

Returns the shadow spot associated with model (assumes it is present).

## SetShadowSpot()

void Gfx::CModel::SetShadowSpot | ( | const ModelShadowSpot & | shadowSpot | ) |

Sets the shadow spot associated with model.

## HasShadowSpot()

bool Gfx::CModel::HasShadowSpot | ( |  | ) | const

Returns whether there is shadow spot.

## GetCameraCollisionSphere()

const Math::Sphere & Gfx::CModel::GetCameraCollisionSphere | ( |  | ) | const

Returns the optional shadow spot associated with model (assumes it is present).

## SetCameraCollisionSphere()

void Gfx::CModel::SetCameraCollisionSphere | ( | const Math::Sphere & | sphere | ) |

Sets the shadow spot associated with model.

## HasCameraCollisionSphere()

bool Gfx::CModel::HasCameraCollisionSphere | ( |  | ) | const

Returns whether there is camera collision sphere.

The documentation for this class was generated from the following files:

- src/graphics/model/model.h
- src/graphics/model/model.cpp